const baseSettings = {
  title: {
    title: '标题',
    type: 'string',
    // widget: 'htmlInput',
    displayType: 'row',
    labelWidth: 80,
  },
}

const commonSettings = {
  $id: {
    title: '字段名称',
    type: 'string',
    widget: 'FieldNames',
    required: true,
    displayType: 'row',
    labelWidth: 80,
    // width: '70%',
  },
  title: {
    title: '标题',
    required: true,
    type: 'string',
    widget: 'htmlInput',
    displayType: 'row',
    labelWidth: 80,
  },
  placeholder: {
    title: '提示语',
    type: 'string',
    displayType: 'row',
    labelWidth: 80,
  },
  // description: {
  //   title: '说明',
  //   type: 'string',
  // },
  presetValue: {
    title: '默认值',
    type: 'string',
    displayType: 'row',
    labelWidth: 80,
    // default: ''
  },
}

const switchSettings = {
  disabled: {
    title: '只读',
    type: 'boolean',
    widget: 'BooleanSwitch',
    displayType: 'row',
    labelWidth: 80,
    default: false
  },
  required: {
    title: '必填',
    type: 'boolean',
    widget: 'BooleanSwitch',
    displayType: 'row',
    labelWidth: 80,
    default: false
  },
  hidden: {
    title: '隐藏',
    type: 'boolean',
    widget: 'BooleanSwitch',
    default: false,
    displayType: 'row',
    labelWidth: 80,
  },
}

const elementSettings = {
  width: {
    title: '元素宽度',
    type: 'string',
    widget: 'percentSlider',
    // default: '33%',
  },
  labelWidth: {
    title: '标签宽度',
    description: '默认值110',
    default: 110,
    type: 'number',
    widget: 'slider',
    max: 400,
    props: {
      hideNumber: true,
    },
  },
}

const globalSettings = {
  type: 'object',
  properties: {
    column: {
      title: '整体布局',
      type: 'number',
      enum: [1],
      default: 1,
      enumNames: ['一行一列'],
      widget: 'select',
      props: {
        placeholder: '默认一行一列',
      },
      displayType: 'row',
      labelWidth: 100,
    },
    displayType: {
      title: '标签展示模式',
      type: 'string',
      default: 'row',
      enum: ['row', 'column'],
      enumNames: ['同行', '单独一行'],
      widget: 'select',
      displayType: 'row',
      labelWidth: 100,
    },
    labelWidth: {
      title: '标签宽度',
      type: 'number',
      widget: 'slider',
      max: 300,
      default: 120,
      props: {
        hideNumber: true,
      },
    },
  },
}

export {
  baseSettings,
  commonSettings,
  switchSettings,
  elementSettings,
  globalSettings
}