import React, { useState, useEffect, useRef, useContext, createContext, forwardRef, useImperativeHandle, useMemo } from 'react'
import FormRender, { useForm } from 'form-render'
import { ConfigProvider } from 'antd'
import widgets from '../widgets'
// import schema from './data'

// console.log('FormRender', widgets)

export const GlobalStore = createContext(null)

const XRender = (props, ref) => {

  // useImperativeHandle(ref, () => ({
  //   form,
  //   getFormValues,
  //   setListData
  // }))

  const { schema } = props

  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  const prefixCls = getPrefixCls('parse-form')
  const prefixClsWithoutParseForm = getPrefixCls()

  const [extraData, setExtraData] = useState({})
  const form = useForm()

  return (
    <GlobalStore.Provider
      value={{
        extraData,
        setExtraData
      }}>
      <div className={prefixCls}>
        <FormRender
          configProvider={{ prefixCls: prefixClsWithoutParseForm }}
          form={form}
          schema={schema}
          // onChange={form.setValues}
          mapping={{
            object: 'Header',
          }}
          widgets={widgets}
        />
      </div>
    </GlobalStore.Provider>
  );
}


export default forwardRef(XRender)
