import React, { useState, useEffect, useMemo } from 'react'
import { Input } from 'antd'

const TextInput = ({ value, onChange, schema }) => {

  console.log('文本输入框', schema)

  const { disabled, placeholder, presetValue } = schema

  const valueShow = useMemo(() => {
    return presetValue || value
  }, [presetValue, value])

  const handleChange = (e) => {
    onChange(e.target.value)
  }

  return (
    <Input
      disabled={disabled}
      value={valueShow}
      rows={5}
      placeholder={placeholder}
      onChange={handleChange}
    />
  )

}

export default TextInput
